For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Comments

List Comment Replies

GET
https://api.webflow.com/beta/sites/:site_id/comments/:comment_thread_id/replies
GET
/beta/sites/:site_id/comments/:comment_thread_id/replies
$curl -G https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/comments/580e63e98c9a982ac9b8b741/replies \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d offset=0 \
> -d limit=100
1{
2 "comments": [
3 {
4 "id": "679d2ddb5196117ad04d1ffa",
5 "commentId": "679d2ddb5196117ad04d1ff8",
6 "siteId": "679826b3b20b045e176bc4b5",
7 "pageId": "679826b3b20b045e176bc4bc",
8 "breakpoint": "main",
9 "content": "This comment mentions another user [[6287ec36a841b25637c663df]] ",
10 "isResolved": false,
11 "author": {
12 "id": "string",
13 "email": "email",
14 "name": "name",
15 "userId": "6287ec36a841b25637c663df"
16 },
17 "lastUpdated": "2025-01-31T20:08:59.759Z",
18 "createdOn": "2025-01-31T20:08:59.759Z",
19 "localeId": "67993753d910db250db64b3e",
20 "mentionedUsers": [
21 {
22 "id": "string",
23 "email": "arthur.dent@example.com",
24 "name": "Arthur Dent",
25 "userId": "6287ec36a841b25637c663df"
26 }
27 ],
28 "itemId": null,
29 "url": "https://webflow.com/design/site-slug-4ec832?workflow=comment&commentId=679d2ddb5196117ad04d1ff8&pageId=679826b3b20b045e176bc4bc"
30 }
31 ],
32 "pagination": {
33 "limit": 2,
34 "offset": 0,
35 "total": 1
36 }
37}
List all replies to a specific comment thread. <Note title="Timing of comment threads"> There may be a delay of up to 5 minutes before new comments appear in the system. </Note> Required scope | `comments:read`
Was this page helpful?
Previous

Create Comment Reply

Next
Built with

List all replies to a specific comment thread.

Timing of comment threads

There may be a delay of up to 5 minutes before new comments appear in the system.

Required scope | comments:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
comment_thread_idstringRequiredformat: "objectid"
Unique identifier for a Comment Thread

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

sortByenumOptional
Sort results by the provided value. Only allowed when sortOrder is provided.
Allowed values:
sortOrderenumOptional
Sorts the results by asc or desc
Allowed values:

Response

Request was successful
commentslist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error